## gnome-session 3.35.3

=== debian/changelog ===
gnome-session (3.35.3-1ubuntu3) focal; urgency=medium

  * No-change rebuild against libgnome-desktop-3-19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:33:32 +0000

gnome-session (3.35.3-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:02:25 +0000

gnome-session (3.35.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Update for run-systemd-session in /usr/libexec
  * Rebase patches through gbp-pq add_sessionmigration.patch and
    remove_session_saving_from_gui.patch required manual resolution.
  * gnome-session-bin.links: Create a symlink for run-systemd-session for the
    old location. Just in case anything is using it. If and when it's
    verified that nothing is, this can be dropped.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2020 13:54:41 +0000

gnome-session (3.35.3-1) experimental; urgency=medium

  * New upstream release
    + binary: Allow quitting early on SIGTERM/SIGINT
    + binary: Log a critical when our SIGTERM/SIGINT handler fails to log out

 -- Iain Lane <laney@debian.org>  Thu, 09 Jan 2020 12:10:46 +0000
