=== debian/changelog ===
gnome-session (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Drop old upstart integration - upstart is long gone

 -- Iain Lane <iain.lane@canonical.com>  Thu, 26 Mar 2020 12:22:56 +0000

gnome-session (3.36.0-2) unstable; urgency=medium

  * debian/gnome-mimeapps.list: eog and evolution have renamed their .desktop
    file, adjust the file accordingly. Add a Breaks for previous versions.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 21 Mar 2020 15:50:33 +0100

gnome-session (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 17:29:11 +0100

gnome-session (3.35.3-1ubuntu4) focal; urgency=medium

  * debian/control*:
    - update VCS information to point to ubuntu salsa branch
    - Bump dependencies for ubuntu-session:
      + gnome-shell (>= 3.36.0-2ubuntu1)
      + yaru-theme-gnome-shell (>= 20.04.3)
  * d/gnome-session.{preinst,postinst,prerm}:
    - Don't install gdm3.css anymore (it's now provided as gresource
      by gnome-shell).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Mar 2020 17:11:53 +0000
