=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-migrations,
@@ -34,11 +34,11 @@
                xsltproc,
                xtrans-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session/tree/ubuntu/master
 
 Package: gnome-session
 Architecture: all
@@ -99,9 +99,9 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.24),
-         gnome-shell (>= 3.24.3-0ubuntu2),
+         gnome-shell (>= 3.36.0-2ubuntu1~),
          xwayland,
-         yaru-theme-gnome-shell,
+         yaru-theme-gnome-shell (>= 20.04.3~),
          ${misc:Depends}
 Recommends: python3,
             session-migration
@@ -145,8 +145,7 @@
 Breaks: hud (<< 14.10+17.10.20170619),
         unity (<< 7.5.0+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-        unity-settings-daemon (<< 15.04.1+17.04.20170619),
-        upstart (<< 1.13.2-0ubuntu28~)
+        unity-settings-daemon (<< 15.04.1+17.04.20170619)
 Replaces: ubuntu-session (<< 3.24.1-0ubuntu2)
 Description: Unity session, previous ubuntu default experience.
  This package contains the required components for the Unity session.
@@ -175,7 +174,7 @@
 
 Package: gnome-session-common
 Architecture: all
-Breaks: evince (<< 3.30)
+Breaks: eog (<< 3.36.0), evince (<< 3.30), evolution (<< 3.36.0)
 Depends: ${misc:Depends}
 Description: GNOME Session Manager - common files
  The GNOME Session Manager is in charge of starting the core components
