## gnome-session 3.36.0-2ubuntu1+10.0trisquel2

=== debian/changelog ===
gnome-session (3.36.0-2ubuntu1+10.0trisquel2) nabia; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Aug 2021 16:05:40 +0000
