=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,4 @@
 	( cd debian/tmp/usr/lib/gnome-session && ln -s ../../libexec/* . )
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing
