## gnome-session 3.38.0

=== debian/changelog ===
gnome-session (3.38.0-4) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump dependency on meson 0.53 as per upstream
  * d/p/util-Disable-capturing-of-subpatterns.patch:
    Cherry-pick upstream patch fixing a stack overflow when environment
    variables have very long values, in particular when using fish and
    LS_COLORS

  [ Didier Roche ]
  * debian/55gnome-session_gnomerc:
    Protect against multiple additions of the same path.
    Do not append the same path to XDG_DATA_DIRS, resulting to duplication
    on consecutive logout/logins due to an older session lingering and the
    environment being reused. One consequence is that Electron applications
    crash (LP: #1764355)

  [ Simon McVittie ]
  * d/patches: Turn upstream bug reference into a URL
  * d/patches: Actively remove undesired variables from activation
    environment.
    This works around bugs in cinnamon-session and mate-session-manager,
    which do not yet have an equivalent of gnome-session's variable_blacklist
    and so will upload login-session-specific variables like XDG_SESSION_ID
    into `dbus-daemon --session` and, indirectly, `systemd --user`.
    (Closes: #973474)

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Mar 2021 14:21:00 +0100

gnome-session (3.38.0-3) unstable; urgency=medium

  * Team upload
  * Update to upstream git commit 3.38.0-14-g87d92fec
    - Fix slow shutdown with systemd >= 247 (Closes: #975400)
    - Don't send environment variables to systemd if they contain
      control characters that it won't accept, in particular \r
    - Log a warning if environment variables cannot be sent to
      dbus-daemon or systemd
    - Log a warning if updating environment variables fails
    - Don't try to autostart systemd (which can't work), silencing
      warnings in the gdm greeter session
    - Update translations

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Dec 2020 11:24:31 +0000

gnome-session (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:30:03 +0100

gnome-session (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Revert "debian/watch: Find unstable versions too"

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:38:01 +0100

gnome-session (3.37.0-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - B-d on debhelper-compat 13 and remove dh_missing override
    - gnome-session-common Breaks and Replaces gnome-session-bin
  * debian/*.install: Move session drop-ins to gnome-session

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Sep 2020 16:11:30 +0200

gnome-session (3.37.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Relax the evolution version for the Breaks, the
    .desktop file was apparently already renamed in 3.30.0

  [ Iain Lane ]
  * New upstream release
    - autostart-app: Place launched applications into a systemd scope
    - data: Add drop-in to configure launched applications
    - data: Major changes in systemd configuration
    - doc: Add description of important systemd units to man page
    - fail-whale-dialog: Make dialog visible in all monitors
    - gnome-session: avoid setting LC_ unless LANG and region disagree
    - gnome-session-ctl: Add systemd service failure checker
    - gnome-session-inhibit: Add --list command
    - main: clear environment on shutdown
    - util: Unset GNOME_SETUP_DISPLAY at login time
  * Defuzz patches
  * control: Add Breaks on gnome-shell and gnome-initial-setup before 3.37.90
    and gnome-settings-daemon before 3.37.0. This gnome-session updates and
    rejigs the systemd units that live here - we need to make sure we have the
    updated versions available.

  [ Marco Trevisan (Treviño) ]
  * control: Bump Breaks on gdm3 before 3.37.90, we'd just get a black screen
    without a systemd session definition that gnome-session now exposes.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 22:12:37 +0200
