## gnome-session 40.1.1

=== debian/changelog ===
gnome-session (40.1.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing latest stable release:
    We already included most of the patches.
  * debian/patches: Install again gnome-wayland so that can be used from X11 gdm
    (LP: #1944223)
  * d/p/ubuntu-sessions.patch: Add ubuntu-wayland session to support gdm on X11
    (LP: #1944223, required for LP: #1942911)
  * d/p/ubuntu-sessions.patch: Skip ubuntu-xorg.desktop.in from translations.
    The .in.in file is already translated.
  * gnome-session.install: Include gnome-wayland session
  * ubuntu-session.install: Include ubuntu-wayland session
  * debian/rules: Update pot file name to be generated
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Sep 2021 20:34:00 +0200

gnome-session (40.1.1-1) unstable; urgency=medium

  * New upstream release
    - GNOME session will now only block sleep for suspend inhibitors and will
      block shutdown if a logout inhibitor is active.
      Previously a suspend inhibitor would prevent both sleep & logout.
      Apps may need to be updated and grab both a logout & suspend inhibitor.
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 20:59:34 -0400

gnome-session (3.38.0-3ubuntu2) hirsute; urgency=medium

  * debian/control: Remove ubuntu-desktop Breaks on g-s-d common (again)
  * debian/changelog: add back changes for release 3.38.0-1ubuntu1

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Feb 2021 20:38:37 +0100

gnome-session (3.38.0-3ubuntu1) hirsute; urgency=medium

  * Merge with debian
  * ubuntu-sessions: Use Wayland by default
  * debian/patches:
    - Drop applied patches (and refresh others)
    - Drop patch to select gnome-session mode
    - Cherry-pick upstream patch fixing a crash when using fish
  * debian/data: Drop support for Upstart
  * d/p/ubuntu/add_sessionmigration.patch: Don't check for upstart
  * debian/gnome-session.links: Drop it, we handle this in meson now
  * debian/gnome-session.preinst: Remove deprecated file, served us till bionic
  * debian/control: Remove gnome-session-wayland, deprecated since zesty
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to

