=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               dh-migrations,
                gnome-pkg-tools (>= 0.13),
                libdbus-1-dev,
                libgl1-mesa-dev,
@@ -34,8 +36,10 @@
                xtrans-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session/tree/ubuntu/master
 
 Package: gnome-session
 Architecture: all
@@ -44,12 +48,15 @@
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.37.0),
          gnome-shell (>= 3.37.91),
+         xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
           gnome-keyring
 Breaks: gnome-initial-setup (<< 3.37.90),
-        gnome-session-bin (<< 3.37.0-2~)
-Replaces: gnome-session-bin (<< 3.37.0-2~)
+        gnome-session-bin (<< 3.37.0-2~),
+        ubuntu-session (<= 3.29.90-1ubuntu1)
+Replaces: gnome-session-bin (<< 3.37.0-2~),
+          ubuntu-session (<= 3.29.90-1ubuntu1)
 Provides: x-session-manager
 Description: GNOME Session Manager - GNOME 3 session
  The GNOME Session Manager is in charge of starting the core components
@@ -61,15 +68,90 @@
  session, based on the GNOME Shell. It can be started from a display
  manager such as GDM, and requires 3D acceleration to work properly.
 
+Package: gnome-startup-applications
+Architecture: any
+Depends: gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (>= ${source:Version}),
+         ${misc:Depends}
+Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
+        gnome-session-common (<< 3.28.0-0ubuntu4~)
+Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
+          gnome-session-common (<< 3.28.0-0ubuntu4~)
+Description: Startup Applications manager for GNOME
+ The Startup Applications Preferences app allows configuring
+ applications to run automatically when logging in to your desktop.
+ This app complies with the FreeDesktop.org Desktop Application Autostart
+ Specification so it will work even if your chosen desktop is not GNOME.
+
+Package: ubuntu-session
+Architecture: all
+Depends: gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (= ${binary:Version}),
+         gnome-settings-daemon (>= 3.37.0),
+         gnome-shell (>= 3.37.91),
+         xwayland,
+         yaru-theme-gnome-shell (>= 20.04.3~),
+         ${misc:Depends}
+Recommends: python3,
+            session-migration
+Breaks: gnome-session (<= 3.29.90-1ubuntu1),
+        hud (<< 14.10+17.10.20170619),
+        unity (<< 7.5.0+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619)
+Replaces: gnome-session (<= 3.29.90-1ubuntu1)
+Provides: x-session-manager
+Description: Ubuntu session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell.
+
+Package: communitheme-snap-session
+Architecture: all
+Depends: ubuntu-session (>= ${binary:Version}),
+         ${misc:Depends}
+Replaces: ubuntu-session (<= 3.30.0-0ubuntu2)
+Description: Ubuntu communitheme snap session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell, using
+ the communitheme snap.
+
+Package: unity-session
+Architecture: all
+Depends: dbus-user-session,
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (= ${binary:Version}),
+         systemd (>= 231-9git1~),
+         unity,
+         unity-settings-daemon,
+         ${misc:Depends}
+Recommends: gtk3-nocsd,
+            rhythmbox-plugin-zeitgeist,
+            session-migration,
+            thunderbird-gnome-support,
+            zeitgeist-datahub
+Provides: x-session-manager
+Breaks: hud (<< 14.10+17.10.20170619),
+        unity (<< 7.5.0+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619),
+        gnome-session-bin (<< 3.37.0-2ubuntu1~)
+Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
+          gnome-session-bin (<< 3.37.0-2ubuntu1~)
+Description: Unity session, previous ubuntu default experience.
+ This package contains the required components for the Unity session.
+ It can be started from a display manager such as LightDM.
+
 Package: gnome-session-bin
 Architecture: any
 Depends: dbus-x11,
          gsettings-desktop-schemas,
          upower (>= 0.9.0),
-         xwayland [linux-any],
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: default-logind [linux-any] | logind [linux-any]
+Recommends: gnome-startup-applications,
+            default-logind [linux-any] | logind [linux-any]
 Breaks: gdm3 (<< 3.37.90)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components
