=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,29 @@
 		-Dman=true \
 		$(CONFFLAGS)
 
+override_dh_install:
+	cd debian/tmp/usr/share; \
+	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
+		echo X-Ubuntu-Gettext-Domain=gnome-session-3.0 >> "$$f"; \
+	done
+	dh_install
+	dh_migrations
+	# workaround to allow extension theming override by communitheme
+	mkdir -p debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/
+	touch debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/ubuntu-communitheme.css
+	# workaround for XDG_DATA_DIRS being for gnome-shell, not Xorg itself, so cursor theme
+	# will never be able to be taken by it.
+	mkdir -p debian/communitheme-snap-session/usr/share/icons
+	ln -s /snap/communitheme/current/share/icons/communitheme debian/communitheme-snap-session/usr/share/icons/communitheme
+
+override_dh_auto_build:
+	dh_auto_build
+	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-40-pot
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f po/gnome-session-40.pot
+
 override_dh_auto_install:
 	dh_auto_install
 	# Remove this when gdm3 and gnome-control-center have caught up
